datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaRatv1 <- function() showQCData("illuminaRatv1", datacache)
illuminaRatv1_dbconn <- function() dbconn(datacache)
illuminaRatv1_dbfile <- function() dbfile(datacache)
illuminaRatv1_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaRatv1_dbInfo <- function() dbInfo(datacache)

illuminaRatv1ORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaRatv1.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RATCHIP_DB("illuminaRatv1", "chip illuminaRatv1", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaRatv1_dbconn())
}

